package com.engine.organization.entity;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.api.browser.bean.SearchConditionOption;
import org.apache.commons.lang.StringUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/06/13
 * @version: 1.0
 */
public class SelectOptionParam {

    /**
     * 下拉框Json转换
     *
     * @param datas
     * @return
     */
    public static List<SearchConditionOption> convertJsonToListOption(String datas) {
        List<SearchConditionOption> selectOptions = new ArrayList<>();
        if (StringUtils.isNotBlank(datas)) {
            JSONArray objectArray = JSON.parseArray(datas);
            int size = objectArray.size();
            for (int i = 0; i < size; i++) {
                JSONObject jsonObject = (JSONObject) objectArray.get(i);
                SearchConditionOption option = new SearchConditionOption(jsonObject.getString("key"), jsonObject.getString("option"));
                selectOptions.add(option);
            }
        }
        return selectOptions;
    }
}
